
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef NDD_SCAN_H
#define NDD_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/aspectScan.h"

#include "server/sickScan.h"

#include "server/seglocScan.h"

#include "server/piloScan.h"

#include "server/pomScan.h"

#include "server/genPosScan.h"


/* Structures du module */
#include "nddPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_NDD_MAXSPEED_POSTER_STR ( FILE *in, FILE *out,
       struct NDD_MAXSPEED_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_PARAMS_POSTER_STR ( FILE *in, FILE *out,
       struct NDD_PARAMS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_DIAGRAM_POSTER_STR ( FILE *in, FILE *out,
       struct NDD_DIAGRAM_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_GOAL_POSTER_STR ( FILE *in, FILE *out,
       struct NDD_GOAL_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_REF_POSTER_STR ( FILE *in, FILE *out,
       struct NDD_REF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_STR ( FILE *in, FILE *out,
       struct NDD_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_CHOICE ( FILE *in, FILE *out,
       struct NDD_CHOICE *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_DIAGRAM ( FILE *in, FILE *out,
       struct NDD_DIAGRAM *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_VALLEY ( FILE *in, FILE *out,
       struct NDD_VALLEY *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_PARAMS ( FILE *in, FILE *out,
       struct NDD_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_STRING ( FILE *in, FILE *out,
       struct NDD_STRING *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_INPUT_POSTERS ( FILE *in, FILE *out,
       struct NDD_INPUT_POSTERS *x, int indent, int nDim, int *dims );
extern int scan_enum_NDD_USING_THETA ( FILE *in, FILE *out,
       enum NDD_USING_THETA *x, int indent, int nDim, int *dims );
extern int scan_enum_NDD_OBST_TYPE ( FILE *in, FILE *out,
       enum NDD_OBST_TYPE *x, int indent, int nDim, int *dims );
extern int scan_struct_NDD_SPEED ( FILE *in, FILE *out,
       struct NDD_SPEED *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_NDD_SPEED ( FILE *in, FILE *out,
       NDD_SPEED *x, int indent, int nDim, int *dims );
extern int scan_NDD_OBST_TYPE ( FILE *in, FILE *out,
       NDD_OBST_TYPE *x, int indent, int nDim, int *dims );
extern int scan_NDD_USING_THETA ( FILE *in, FILE *out,
       NDD_USING_THETA *x, int indent, int nDim, int *dims );
extern int scan_NDD_INPUT_POSTERS ( FILE *in, FILE *out,
       NDD_INPUT_POSTERS *x, int indent, int nDim, int *dims );
extern int scan_NDD_STRING ( FILE *in, FILE *out,
       NDD_STRING *x, int indent, int nDim, int *dims );
extern int scan_NDD_PARAMS ( FILE *in, FILE *out,
       NDD_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_NDD_VALLEY ( FILE *in, FILE *out,
       NDD_VALLEY *x, int indent, int nDim, int *dims );
extern int scan_NDD_DIAGRAM ( FILE *in, FILE *out,
       NDD_DIAGRAM *x, int indent, int nDim, int *dims );
extern int scan_NDD_CHOICE ( FILE *in, FILE *out,
       NDD_CHOICE *x, int indent, int nDim, int *dims );
extern int scan_NDD_STR ( FILE *in, FILE *out,
       NDD_STR *x, int indent, int nDim, int *dims );
extern int scan_NDD_REF_POSTER_STR ( FILE *in, FILE *out,
       NDD_REF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_NDD_GOAL_POSTER_STR ( FILE *in, FILE *out,
       NDD_GOAL_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_NDD_DIAGRAM_POSTER_STR ( FILE *in, FILE *out,
       NDD_DIAGRAM_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_NDD_PARAMS_POSTER_STR ( FILE *in, FILE *out,
       NDD_PARAMS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_NDD_MAXSPEED_POSTER_STR ( FILE *in, FILE *out,
       NDD_MAXSPEED_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* NDD_SCAN_H */

