
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef ndd_TCLSERV_CLIENT_MSG_LIB_H
#define ndd_TCLSERV_CLIENT_MSG_LIB_H

#include <server/nddType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int nddTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int nddTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int nddTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 NDD_INPUT_POSTERS *(in_inputPosters) 
		);

int nddTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int nddTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				NDD_INPUT_POSTERS *(in_inputPosters) ,
				
				int *bilan);

int nddTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					NDD_INPUT_POSTERS *(in_inputPosters) ,
					
					int *bilan);




int nddTclservClientGetInitRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int nddTclservClientGetInitReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       NDD_INPUT_POSTERS *(out_inputPosters),
			       int *bilan);

int nddTclservClientGetInitRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 NDD_INPUT_POSTERS *(out_inputPosters),
				 int *bilan);




int nddTclservClientSetParamsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 NDD_PARAMS *(in_params) 
		);

int nddTclservClientSetParamsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int nddTclservClientSetParamsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				NDD_PARAMS *(in_params) ,
				
				int *bilan);

int nddTclservClientSetParamsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					NDD_PARAMS *(in_params) ,
					
					int *bilan);




int nddTclservClientSetParamUseThetaRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 NDD_USING_THETA *(in_useTheta)
		);

int nddTclservClientSetParamUseThetaReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int nddTclservClientSetParamUseThetaRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 NDD_USING_THETA *(in_useTheta) ,
				 
				 int *bilan);




int nddTclservClientGetParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int nddTclservClientGetParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       NDD_PARAMS *(out_params),
			       int *bilan);

int nddTclservClientGetParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 NDD_PARAMS *(out_params),
				 int *bilan);




int nddTclservClientSetSpeedRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 NDD_SPEED *(in_maxSpeed) 
		);

int nddTclservClientSetSpeedReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int nddTclservClientSetSpeedRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				NDD_SPEED *(in_maxSpeed) ,
				
				int *bilan);

int nddTclservClientSetSpeedRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					NDD_SPEED *(in_maxSpeed) ,
					
					int *bilan);




int nddTclservClientGetSpeedRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int nddTclservClientGetSpeedReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       NDD_SPEED *(out_maxSpeed),
			       int *bilan);

int nddTclservClientGetSpeedRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 NDD_SPEED *(out_maxSpeed),
				 int *bilan);




int nddTclservClientExecTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 NDD_STRING *(in_trajPosterName) 
		);

int nddTclservClientExecTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int nddTclservClientExecTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				NDD_STRING *(in_trajPosterName) ,
				
				int *bilan);

int nddTclservClientExecTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					NDD_STRING *(in_trajPosterName) ,
					
					int *bilan);




int nddTclservClientGoToRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GENPOS_CART_CONFIG *(in_global_goal) 
		);

int nddTclservClientGoToReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int nddTclservClientGoToRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GENPOS_CART_CONFIG *(in_global_goal) ,
				
				int *bilan);

int nddTclservClientGoToRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GENPOS_CART_CONFIG *(in_global_goal) ,
					
					int *bilan);




int nddTclservClientGoToRelativeRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GENPOS_CART_CONFIG *(in_local_goal) 
		);

int nddTclservClientGoToRelativeReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int nddTclservClientGoToRelativeRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GENPOS_CART_CONFIG *(in_local_goal) ,
				
				int *bilan);

int nddTclservClientGoToRelativeRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GENPOS_CART_CONFIG *(in_local_goal) ,
					
					int *bilan);




int nddTclservClientStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int nddTclservClientStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int nddTclservClientStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* nddTCLSERV_CLIENT_MSG_LIB_H */

